import 'package:flutter/material.dart';
import 'package:sk_base_mobile/app_theme.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';
import 'package:sk_base_mobile/widgets/gradient_button.dart';
import 'package:sk_base_mobile/widgets/core/sk_appbar.dart';

class SaleQuotationEndDrawer extends StatelessWidget {
  const SaleQuotationEndDrawer({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: SkAppbar(title: '工具栏', hideLeading: true),
      body: buildBody(),
    );
  }

  Widget buildBody() {
    return Column(
      children: [
        ListTile(
          title: Text('选择报价模板'),
          onTap: () {},
        ),
        Divider(
          color: AppTheme.dividerColor,
          height: 1,
        ),
        Spacer(),
        GradientButton(
          icon: Icon(
            Icons.save,
            color: AppTheme.nearlyWhite,
            size: ScreenAdaper.height(40),
          ),
          buttonText: '保存为模板',
        )
      ],
    );
  }
}
